Get a repair task
GET
/v1/repair-tasks/{repairTaskId}curl -X GET 'https://api.embodiflow.io/v1/repair-tasks/{repairTaskId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- repairTaskIdstringrequired
Responses
Success
- dataobjectrequired
- idstringrequired
- tenantIdstringrequired
- projectIdstringrequired
- scopeTypestringrequiredAllowed valuesdatasetprojectdataset_version
- datasetIdstring | nullrequired
- datasetVersionIdstring | nullrequired
- sourceTypestringrequiredAllowed valueshealth-checkworkflow-runworkflow_itemquality-ruleannotation-gapexport-jobpolicy-gatecollection-delivery-batchcollection-submission
- sourceIdstringrequired
- titlestring | nullrequired
- descriptionstring | nullrequired
- severitystringrequiredAllowed valueswarninginfoblocking
- statusstringrequiredAllowed valuesin_progressopenresolvedwaived
- assigneeobjectrequired
- dueAtstring | nullrequired
- resolutionstring | nullrequiredAllowed valuesfixedwaivedduplicatenot_reproducible
- waiveReasonstring | nullrequired
- waivedAtstring | nullrequired
- waivedByobjectrequired
- resolvedAtstring | nullrequired
- createdAtstringrequired
- updatedAtstringrequired
- deduplicatedone of
Response example
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"scopeType": "dataset",
"datasetId": "string",
"datasetVersionId": "string",
"sourceType": "health-check",
"sourceId": "string",
"title": "string",
"description": "string",
"severity": "warning",
"status": "in_progress",
"assignee": {
"projectMembershipId": "string",
"membershipId": "string",
"displayName": "string"
},
"dueAt": "string",
"resolution": "fixed",
"waiveReason": "string",
"waivedAt": "string",
"waivedBy": {
"membershipId": "string",
"displayName": "string"
},
"resolvedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"deduplicated": false
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1